Overview | Package | Class | Tree | Deprecated | Index | Help
| Qizx/Open v0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.xfra.qizxopen.util
Class Util

    java.lang.Object
      |
      +--net.xfra.qizxopen.util.Util

public class Util
extends java.lang.Object

Field Summary
`static java.lang.String` | `HEX`
`static java.lang.String` | `MARKS`
`static java.lang.String` | `RESERVED`

Constructor Summary
`Util()`

Method Summary
`static java.lang.String` | `camelCase(java.lang.String name, boolean capitalize)` Converts a name to 'camelCase': hyphens are removed, letters following hyphens are converted to uppercase.
`static int` | `comparison(double diff)`
`static int` | `comparison(int diff)`
`static void` | `escapeURI(java.lang.String uri, boolean escReserved, java.lang.StringBuffer out)` Escapes URI characters.
`static void` | `fprintf(java.io.PrintStream out, char[] buffer)`
`static java.lang.String` | `normalizePath(java.lang.String path, boolean absolute)` Normalizes a path.
`static void` | `printf(char[] buffer)`
`static java.lang.String` | `toHex(int h, int minDigit)`
`static java.net.URL` | `uriToURL(java.lang.String uri)` Converts a relative or absolute path or an uri to an absolute URL

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESERVED

    public static java.lang.String RESERVED

### MARKS

    public static java.lang.String MARKS

### HEX

    public static java.lang.String HEX

Constructor Detail

### Util

    public Util()

Method Detail

### printf

    public static void printf(char[] buffer)

### fprintf

    public static void fprintf(java.io.PrintStream out,
                               char[] buffer)

### toHex

    public static java.lang.String toHex(int h,
                                         int minDigit)

### comparison

    public static int comparison(int diff)

### comparison

    public static int comparison(double diff)

### camelCase

    public static java.lang.String camelCase(java.lang.String name,
                                             boolean capitalize)

  Converts a name to 'camelCase': hyphens are removed, letters following hyphens are converted to uppercase. Initial letter converted to uppercase if 'capitalize'. eg: this-to-that becomes ThisToThat

### uriToURL

    public static java.net.URL uriToURL(java.lang.String uri)
                                 throws java.io.IOException

  Converts a relative or absolute path or an uri to an absolute URL

    `java.io.IOException`

### normalizePath

    public static java.lang.String normalizePath(java.lang.String path,
                                                 boolean absolute)

  Normalizes a path. If 'absolute', return a path with a leading slash

### escapeURI

    public static void escapeURI(java.lang.String uri,
                                 boolean escReserved,
                                 java.lang.StringBuffer out)

  Escapes URI characters. If escReserved is true, escapes also reserved characters.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright Xavier FRANC 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD